<bugID>1385698<Summary>Empty tab title when restoring text/plain tab with attachment</Summary><Description>1. Enable automatic session restore
2. Save this PHP file in a local web server:

    &lt;?php
    if (empty($_GET['foo'])) {
      echo '&lt;a href="?foo=true"&gt;Open this link in a new tab&lt;/a&gt;';
    } else {
      header('Content-Disposition: attachment;filename=foo.txt');
      header('Content-Type: text/plain');
      echo 'Foo';
    }
    ?&gt;

3. Load that file in Firefox
4. Open the link in a new tab (Ctrl+click or via context menu)
6. That new tab has a title
5. Open browser console and enter this code to restart Firefox:

    var a = Components.interfaces.nsIAppStartup;
    Components.classes["@mozilla.org/toolkit/app-startup;1"]
    .getService(a).quit(a.eRestart | a.eAttemptQuit);

Result: the tab has an empty title

This worked before bug 1360932. Between bug 1360932 and bug 1365933, Firefox was not able to restore the tabs. After bug 1365933 tabs are restore again but the title is empty.</Description></bugID>